public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/kibana-bin/
Date: Sat, 20 Jan 2024 13:33:50 +0000 (UTC)	[thread overview]
Message-ID: <1705757405.cd6c9230a2746e18edf88aa667417c1f4d5a2400.sam@gentoo> (raw)

commit:     cd6c9230a2746e18edf88aa667417c1f4d5a2400
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Thu Jan 11 14:38:25 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan 20 13:30:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd6c9230

www-apps/kibana-bin: add 7.17.16

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 www-apps/kibana-bin/Manifest                  |  1 +
 www-apps/kibana-bin/kibana-bin-7.17.16.ebuild | 94 +++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/www-apps/kibana-bin/Manifest b/www-apps/kibana-bin/Manifest
index 476f4dabaa97..82ef28881325 100644
--- a/www-apps/kibana-bin/Manifest
+++ b/www-apps/kibana-bin/Manifest
@@ -1,3 +1,4 @@
 DIST kibana-7.17.10-linux-x86_64.tar.gz 269001610 BLAKE2B f4f4dc6c560167fae23031c7456122b50572dea4cace924b2cf462ab8e463966b7fa6a348b6308056763c454d1bac29b337d238805c096e6b7ad48f87831d6d9 SHA512 d3d5e8906e64ae3c469e4df80e1c692ce1912e36f68ddf36b99b7019faf34aebaa329061904a6d2b6a32486c6e19d1c5f2ea30c25479a7960ed93bc1c0cb1691
 DIST kibana-7.17.12-linux-x86_64.tar.gz 272588610 BLAKE2B 6751d40a043f532d7b5837aee1ff60446dbfc45530bf8b793b2b468f55d3646c85215ad678871a62d9872d6fd5822418354bf42ce589cdc3f2a0359b66c71117 SHA512 aa14345b5dfc53f449ff9aa979e5d82f65949177380b7318e6f6068de9cddceae8b52e2f0680f37581efcd12c9b367f13e3ac58bf35d00911942bd71fd23d196
+DIST kibana-7.17.16-linux-x86_64.tar.gz 296565340 BLAKE2B 05c741cef3a9f8feef073b20bce42e031ffd3a9140da3fdf042d5cc51c4585eeea631c849b37e42ced2e3c6a2f50c7f7bee90558968561a584260e1de91f5f5a SHA512 eb3e1a948ca05f1a11c197187119fa2be55ee2057db69ed1bb667c33ec3f8582436a1db255cb4c1adec80d91a65d47a605535d3937d4a7f3e04407d9454c3d6b
 DIST kibana-7.17.9-linux-x86_64.tar.gz 268769436 BLAKE2B 7c40aeaa407f879e364bf0b3472fb14794fc2e340545bc5099af1bdfad9d9977bf2ebdd4a30bd8e27e6ca7afc294b05486958176f6242a891c9f7676245fd0d0 SHA512 f0f9f65b6ba3cc401a519f764314854f6f1f22a9c3b55dfc5a4921455d64fc0d5b8352d267217076da82157553f235ab3d2506497132f23789b126205177e86b

diff --git a/www-apps/kibana-bin/kibana-bin-7.17.16.ebuild b/www-apps/kibana-bin/kibana-bin-7.17.16.ebuild
new file mode 100644
index 000000000000..9c0a980cb72f
--- /dev/null
+++ b/www-apps/kibana-bin/kibana-bin-7.17.16.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd
+
+MY_PN="${PN%-bin}"
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Analytics and search dashboard for Elasticsearch"
+HOMEPAGE="https://www.elastic.co/products/kibana"
+SRC_URI="https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}-linux-x86_64.tar.gz"
+
+# source: LICENSE.txt and NOTICE.txt
+LICENSE="Apache-2.0 Artistic-2 BSD BSD-2 CC-BY-3.0 CC-BY-4.0 Elastic-2.0 icu ISC MIT MPL-2.0 OFL-1.1 openssl public-domain Unlicense WTFPL-2 ZLIB"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RDEPEND="
+	acct-group/kibana
+	acct-user/kibana
+	dev-libs/expat
+	dev-libs/nspr
+	dev-libs/nss
+	>=net-libs/nodejs-18.17.1
+	<net-libs/nodejs-20
+	sys-libs/glibc
+"
+
+# Do not complain about CFLAGS etc since we don't use them
+QA_FLAGS_IGNORED='.*'
+QA_PRESTRIPPED="
+	opt/kibana/x-pack/plugins/reporting/chromium/headless_shell-linux_x64/headless_shell
+	opt/kibana/x-pack/plugins/reporting/chromium/headless_shell-linux_x64/swiftshader/libEGL.so
+	opt/kibana/x-pack/plugins/reporting/chromium/headless_shell-linux_x64/swiftshader/libGLESv2.so
+	opt/kibana/node_modules/re2/build/Release/re2.node
+"
+
+S="${WORKDIR}/${MY_P}-linux-x86_64"
+
+src_prepare() {
+	default
+
+	# remove unused directory
+	rm -r data || die
+
+	# remove bundled nodejs
+	rm -r node || die
+	sed -i 's@\(^NODE="\).*@\1/usr/bin/node"@g' \
+		bin/kibana || die
+
+	# move plugins to /var/lib/kibana
+	rm -r plugins || die
+
+	# handle node.js version with RDEPEND
+	sed -i /node_version_validator/d \
+		src/setup_node_env/no_transpilation_dist.js || die
+}
+
+src_install() {
+	insinto /etc/${MY_PN}
+	doins -r config/.
+	rm -r config || die
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/${MY_PN}.logrotate ${MY_PN}
+
+	newconfd "${FILESDIR}"/${MY_PN}.confd ${MY_PN}
+	newinitd "${FILESDIR}"/${MY_PN}.initd-r1 ${MY_PN}
+	systemd_dounit "${FILESDIR}"/${MY_PN}.service
+
+	insinto /opt/${MY_PN}
+	doins -r .
+
+	fperms -R +x /opt/${MY_PN}/bin
+
+	diropts -m 0750 -o ${MY_PN} -g ${MY_PN}
+	keepdir /var/lib/${MY_PN}/plugins
+	keepdir /var/log/${MY_PN}
+
+	dosym ../../var/lib/kibana/plugins /opt/kibana/plugins
+}
+
+pkg_postinst() {
+	elog "This version of Kibana is compatible with Elasticsearch $(ver_cut 1-2) and"
+	elog "Node.js 18. Some plugins may fail with other versions of Node.js (Bug #656008)."
+	elog
+	elog "To set a customized Elasticsearch instance:"
+	elog "  OpenRC: set ES_INSTANCE in /etc/conf.d/${MY_PN}"
+	elog "  systemd: set elasticsearch.url in /etc/${MY_PN}/kibana.yml"
+	elog
+	elog "Elasticsearch can run local or remote."
+}


             reply	other threads:[~2024-01-20 13:33 UTC|newest]

Thread overview: 129+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-01-20 13:33 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-20 13:33 [gentoo-commits] repo/gentoo:master commit in: www-apps/kibana-bin/ Sam James
2023-09-16  7:57 Joonas Niilola
2023-05-27  7:49 Joonas Niilola
2023-03-11 16:26 Sam James
2023-01-08  3:37 Sam James
2022-11-18  8:51 Joonas Niilola
2022-07-15  8:38 Joonas Niilola
2022-07-15  8:38 Joonas Niilola
2022-05-06  5:21 Joonas Niilola
2022-04-24  7:58 Joonas Niilola
2022-04-24  7:58 Joonas Niilola
2022-04-24  7:58 Joonas Niilola
2022-03-16 22:35 Sam James
2022-01-28  8:36 Sam James
2022-01-28  8:36 Sam James
2021-12-21  1:56 Sam James
2021-11-11 23:49 Sam James
2021-10-04 12:51 Joonas Niilola
2021-10-04 12:51 Joonas Niilola
2021-10-02 12:46 Joonas Niilola
2021-07-31 10:03 Joonas Niilola
2021-06-16  9:50 Thomas Deutschmann
2021-06-16  9:50 Thomas Deutschmann
2021-05-31  8:20 Sam James
2021-05-11 15:47 Thomas Deutschmann
2021-04-16  5:40 Joonas Niilola
2021-04-16  5:40 Joonas Niilola
2021-03-30  7:25 Joonas Niilola
2021-03-30  7:25 Joonas Niilola
2021-03-30  7:25 Joonas Niilola
2021-01-21 23:23 Sam James
2020-12-03 20:34 Thomas Deutschmann
2020-11-14  9:49 Mikle Kolyada
2020-11-14  9:49 Mikle Kolyada
2020-10-16 13:26 Joonas Niilola
2020-09-12 18:39 Thomas Deutschmann
2020-08-30 21:46 Thomas Deutschmann
2020-07-30 18:17 Thomas Deutschmann
2020-07-30 18:17 Thomas Deutschmann
2020-07-30 18:17 Thomas Deutschmann
2020-06-26 23:00 Thomas Deutschmann
2020-06-12 14:33 Thomas Deutschmann
2020-06-12 14:33 Thomas Deutschmann
2020-03-20 14:30 Joonas Niilola
2020-02-26 16:17 Joonas Niilola
2020-02-26 16:17 Joonas Niilola
2020-01-03  9:15 Joonas Niilola
2019-10-29  6:53 Joonas Niilola
2019-10-29  6:53 Joonas Niilola
2019-10-29  6:53 Joonas Niilola
2019-09-21 14:49 Joonas Niilola
2019-07-02  9:58 Manuel Rüger
2019-07-02  9:58 Manuel Rüger
2019-04-25 13:36 Manuel Rüger
2019-04-25 13:36 Manuel Rüger
2019-04-25 13:36 Manuel Rüger
2019-03-04 15:58 Thomas Deutschmann
2019-03-04 15:58 Thomas Deutschmann
2019-03-04 15:58 Thomas Deutschmann
2019-01-17 19:32 Mikle Kolyada
2019-01-17 19:32 Mikle Kolyada
2018-12-22  7:08 Mikle Kolyada
2018-12-22  7:08 Mikle Kolyada
2018-12-15  9:02 Mikle Kolyada
2018-12-15  9:02 Mikle Kolyada
2018-12-04 15:13 Mikle Kolyada
2018-11-10 20:57 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-09-28  9:45 Michał Górny
2018-09-28  9:45 Michał Górny
2018-09-09 20:41 Thomas Deutschmann
2018-09-09 20:41 Thomas Deutschmann
2018-08-05 13:58 Manuel Rüger
2018-07-11 15:46 Manuel Rüger
2018-07-11 15:46 Manuel Rüger
2018-07-11 15:46 Manuel Rüger
2018-07-11 15:46 Manuel Rüger
2018-05-02 22:04 Patrice Clement
2018-05-02 22:04 Patrice Clement
2018-03-12 22:59 Patrice Clement
2018-03-12 22:59 Patrice Clement
2018-01-31 22:02 Michał Górny
2018-01-31 22:02 Michał Górny
2017-12-14 18:25 Patrice Clement
2017-12-14 18:25 Patrice Clement
2017-11-25 13:22 Amy Liffey
2017-11-16 15:46 Amy Liffey
2017-11-16 15:46 Amy Liffey
2017-10-15 21:11 Patrice Clement
2017-10-15 21:11 Patrice Clement
2017-09-30  8:05 Patrice Clement
2017-09-30  8:05 Patrice Clement
2017-09-21 14:51 Amy Liffey
2017-08-26  7:09 Patrice Clement
2017-08-15 21:03 Patrice Clement
2017-08-15 21:03 Patrice Clement
2017-07-08 21:35 Patrice Clement
2017-06-04 17:52 Michał Górny
2017-05-23 19:58 Michał Górny
2017-05-19 10:52 Michał Górny
2017-05-19 10:52 Michał Górny
2017-05-18 22:25 Michał Górny
2017-05-17 16:37 Patrick Lauer
2017-03-15 20:04 Amy Liffey
2017-01-17 22:58 Patrice Clement
2016-12-25  2:21 Göktürk Yüksek
2016-11-28 11:07 Patrick Lauer
2016-10-28 19:25 Patrick Lauer
2016-10-15  9:25 Patrick Lauer
2016-10-02 12:59 Göktürk Yüksek
2016-10-01 19:05 Patrick Lauer
2016-09-12 15:35 Patrick Lauer
2016-09-08  6:51 Patrice Clement
2016-09-02  5:26 Patrick Lauer
2016-09-01 14:14 Patrick Lauer
2016-08-11  8:01 Patrice Clement
2016-08-11  8:01 Patrice Clement
2016-07-18 13:08 Patrick Lauer
2016-07-11 18:10 Patrick Lauer
2016-05-21  5:01 Ian Delaney
2016-04-05  9:40 Patrick Lauer
2016-04-01 14:24 Patrick Lauer
2016-03-14 13:54 Patrice Clement
2016-02-15 13:16 Patrice Clement
2016-02-09 10:26 Ian Delaney
2016-02-09 10:26 Ian Delaney
2015-12-22 15:12 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1705757405.cd6c9230a2746e18edf88aa667417c1f4d5a2400.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox